Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.slide.util.conf
Class ConfigurationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.slide.util.conf.ConfigurationException

All Implemented Interfaces:
  java.io.Serializable

public class ConfigurationException
extends java.lang.RuntimeException

Thrown when a `Configurable` component cannot be configured properly, or if a value cannot be retrieved properly.

Version:
  CVS $Revision: 1.5 $ $Date: 2004/07/28 09:34:23 $
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.lang.RuntimeException
``

Constructor Summary
`ConfigurationException(java.lang.String message, Configuration conf)` Construct a new `ConfigurationException` instance.

Method Summary
`Configuration` | `getConfiguration()` Get the `Configuration` element.
`java.lang.String` | `getMessage()` Return this `ConfigurationException` (if possible with location information).

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConfigurationException

    public ConfigurationException(java.lang.String message,
                                  Configuration conf)

  Construct a new `ConfigurationException` instance.

Parameters:
  `message` - The detail message for this exception (mandatory).
  `conf` - The configuration element.

Method Detail

### getConfiguration

    public Configuration getConfiguration()

  Get the `Configuration` element.

  Returns:
    `Configuration` element associated, or `null` if there is none.

### getMessage

    public java.lang.String getMessage()

  Return this `ConfigurationException` (if possible with location information).

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD